Start = -10;
End = 100;
L=End - Start + 1;
nn = Start:End;

Zeros = [1, 0.5];
Poles = [1, -1.7654, +0.81];
x = genimp (Start, End, 0, 1);
y = filter (Zeros, Poles, x);		% Complex exponential
stem(nn,y), grid, title ('Filter impulse response'), xlabel ('Index (n)');
disp 'Please hit a key to continue ...', pause;

Roots = roots (Poles);
Roots		% Print out polynomial roots
[Theta,Magn] = cart2pol (real(Roots), imag(Roots));
polar (Theta, Magn, 'x');

%RAngle = Theta (1);	% Convert to radians
xx = (Magn (1) .^ nn) .* exp(j*nn*Theta (1));	% Complex exponential
subplot (2,2,1), stem(nn,real(xx)), grid, title ('e^+jTheta Real part'), xlabel ('Index (n)');
subplot (2,2,3), stem(nn,imag(xx)), grid, title ('e^+jTheta Imag part'), xlabel ('Index (n)');

xx = (Magn (2) .^ nn) .* exp(j*nn*Theta (2));	% Complex exponential
subplot (2,2,2), stem(nn,real(xx)), grid, title ('e^-jTheta Real part'), xlabel ('Index (n)');
subplot (2,2,4), stem(nn,imag(xx)), grid, title ('e^-jTheta Imag part'), xlabel ('Index (n)');

% Part B

