% Example for DTFT

SourceStart = 0;
SourceLen = 256;
DTFLen = SourceLen;
PulseStart = 0;
PulseLen = 12;

format compact, subplot (1,1,1);
nn = 0:SourceLen-1;

xn = genpulse (SourceStart, SourceLen - 1, PulseStart, 1, PulseLen);
subplot (2,1,1), plot (nn, xn); grid, title('Real input');
disp 'Please hit a key to continue ...', pause;

[X,W] = dtft (xn, DTFLen);
subplot (2,1,1), plot (W/2/pi, abs(X)); grid, title('Magnitude Reasponse'), xlabel ('Normalised Frequency w0'), ylabel ('| H(w) |')
subplot (2,1,2), plot (W/2/pi, 180 / pi * angle (X)); grid, title('Phase Reasponse'), xlabel ('Normalised Frequency w0'), ylabel ('Degrees')
