L=21;
B = 0.9;
A1 = 1.0;
A2 = 1.5;
nn = [0:L-1];
Zeros = [0.9];
Poles = [1, -0.9];

x0=genimp (0, L-1, 0, 1);
y1 = genexp(B, A1, L);
y2 = filter(Zeros, Poles, x0);

subplot (2, 1, 1), stem(nn,y1), title ('Exponential : y1'), grid;
subplot (2, 1, 2), stem(nn,y2), title ('Difference Eqn. Exponential : y2'), grid;
disp 'Please hit a key to continue ...', pause

[DimM,DimN] = size(y2);
if(DimN~=1)
	y2 = y2';		%-- make row vector
	end;

y3 = y2 - y1;
subplot (2, 1, 2), stem(nn,y3), title ('Error : y2 - y1'), grid;
