function [index,time,v] = fn1_3a(Gain,Freq,Phase,A,B,SampleRate)
%Sinus generation function : [index,time,v] = fn1_3a(Gain,Freq,Phase,A,B,SampleRate)
% Frequencies in Hertz and Phase in degrees
% A and B are the 1st and last index of the finite length signal

index = A * SampleRate:B * SampleRate;
time = index / SampleRate;
v = Gain * sin(((2 * pi * Freq / SampleRate)*index)+(Phase * 2 * pi / 360));
