% Example for DTFT

format compact, subplot (1,1,1);
a = 0.88 * exp (sqrt (-1) * 2 * pi / 5);
nn = 0:40;
xn = a .^ nn;
subplot (2,1,1), plot (nn, real(xn)); grid, title('Real input');
subplot (2,1,2), plot (nn, imag(xn)); grid, title('Imag input');
disp 'Please hit a key to continue ...', pause;

[X,W] = dtft (xn, 128);
subplot (2,1,1), plot (W/2/pi, abs(X)); grid, title('Magnitude Reasponse'), xlabel ('Normalised Frequency'), ylabel ('| H(w) |')
subplot (2,1,2), plot (W/2/pi, 180 / pi * angle (X)); grid, title('Phase Reasponse'), xlabel ('Normalised Frequency'), ylabel ('Degrees')
