L=21;
B = 0.9;
A1 = 1.0;
A2 = 1.5;
nn = [0:L-1];
y1 = genexp(B, A1, L);
y2 = genexp(B, A2, L);

for i=1:L-1
	y3(i) = y2(i+1);
	end
y3(L) = 0;			% Zero pad
y1(L) = 0;			% Zero pad

alpha = y1(1) / y3(1);
y4=y3*alpha;		% scale o/p vector

subplot (2, 1, 1), stem(nn,y1), title ('Exponential : y1'), grid;
subplot (2, 1, 2), stem(nn,y4), title ('Exponential : y4'), grid;
disp 'Please hit a key to continue ...', pause

[DimM,DimN] = size(y4);
if(DimN~=1)
	y4 = y4';		%-- make row vector
	end;

y5 = y4 - y1;
subplot (2, 1, 2), stem(nn,y5), title ('Error : y4 - y1'), grid;
