Start = 0;
End = 20;
L=End - Start + 1;
SinMagn=3;
CosMagn=4;
RAngle = pi / 7;		% Radian angle
nn = Start:End;
xx1 = (SinMagn * sin(nn*RAngle)) + j*(CosMagn * cos(nn*RAngle));		% Complex exponential
subplot (3,2,1), stem(nn,real(xx1)), grid, title ('Real part'), xlabel ('Index (n)');
subplot (3,2,3), stem(nn,imag(xx1)), grid, title ('Imag part'), xlabel ('Index (n)');
disp 'Please hit a key to continue ...', pause
subplot (3,2,5), stem(real(xx1),imag(xx1)), grid, title ('Real / Imag'), xlabel ('Real'), ylabel ('Imag');
pause

Magn = 1.0;
Gain = 1;
RAngle = pi / 7;		% Radian angle
RPhase = -pi / 2;
nn = Start:End;
xx2 = Gain * ((Magn .^ nn) .* exp(j*(nn*RAngle + RPhase)));		% Complex exponential
subplot (3,2,2), stem(nn,real(xx2)), grid, title ('Real part'), xlabel ('Index (n)');
subplot (3,2,4), stem(nn,imag(xx2)), grid, title ('Imag part'), xlabel ('Index (n)');
disp 'Please hit a key to continue ...', pause
subplot (3,2,6), stem(real(xx2),imag(xx2)), grid, title ('Real / Imag'), xlabel ('Real'), ylabel ('Imag');


