Start = 0;
End = 50;
L=End - Start + 1;
nn = Start:End;

CosMagn = 1.1;
RAngle = pi / 11;		% Radian angle
RPAngle = pi / 4;		% Radian phase angle
xx1 = (CosMagn .^ nn) .* cos((nn*RAngle) + RPAngle);		% Complex exponential
subplot (3,1,1), stem(nn,real(xx1)), grid, title ('Real part'), xlabel ('Index (n)');


Magn = 1.1;
Gain = 1;
RAngle = pi / 11;		% Radian angle
RPhase = pi / 4;
xx2 = Gain * ((Magn .^ nn) .* exp(j*(nn*RAngle + RPhase)));		% Complex exponential
subplot (3,1,2), stem(nn,real(xx2)), grid, title ('Real part'), xlabel ('Index (n)');
subplot (3,1,3), stem(nn,imag(xx2)), grid, title ('Real part'), xlabel ('Index (n)');

