%Generating an exponential with exp and with filter

Start = -15;
End = 25;
L=End - Start + 1;
nn = Start:End;

CosMagn = 1.1;
RAngle = pi / 11;		% Radian angle
RPAngle = pi / 4;		% Radian phase angle
xx1 = (CosMagn .^ nn) .* cos((nn*RAngle) + RPAngle);		% Complex exponential
subplot (3,1,1), stem(nn,real(xx1)), grid, title ('Real part'), xlabel ('Index (n)');


%Tried this to generate coeffs :
%[k,l]=pol2cart ((pi / 11), 1.1)
%m = k + j*l
%poly (m)	% => 1.0000;  -1.0554 - 0.3099i

ImpMagn = 1.0 + j * 1.0;
Zeros = [1] + j * [1];
Poles = [1, -1.0554] + j * [1, -0.3099];
x = genimp (Start, End, 0, real(ImpMagn)) + j * (genimp (Start, End, 0, imag(ImpMagn)));
xx2 = filter (Zeros, Poles, x);		% Complex exponential
subplot (3,1,2), stem(nn,real(xx2)), grid, title ('Real part'), xlabel ('Index (n)');
subplot (3,1,3), stem(nn,imag(xx2)), grid, title ('Imag part'), xlabel ('Index (n)');

