function y = genimp(Start, End, Location, Magn)
%Impulse generation function : y = genimp(Start, End, Location, Magn)
% Start, End & Location are indices into the array
% y output signal y(1:L)

L=End - Start;
if(L <= 0)
	error ('The length is not positive')
	end

y = zeros(L+1,1);
y(Location+1-Start) = Magn;



