function y = genpulse(Start, End, PulseStart, Magn, PulseLen)
%Pulse generation function : y = genimp(Start, End, PulseStart, Magn, BufLength)
% Start, End & PulseStart are indices into the array
% y output signal y(1:L)

BufLen = End - Start + 1;
if(BufLen <= 0)
	error ('The length is not positive')
	end

y = zeros (size(1:BufLen));
y (:,(PulseStart - Start + 1):(PulseStart - Start + PulseLen)) = ones (size((PulseStart - Start + 1):(PulseStart - Start + PulseLen)));
